# Interface PrebuiltStaticLibraryBinary

All Superinterfaces:
  `Binary, NativeBinary, NativeLibraryBinary, StaticLibraryBinary`

@Incubating public interface PrebuiltStaticLibraryBinary extends StaticLibraryBinary
A static library that exists at a known location on the filesystem.

## Method Summary

Modifier and Type
Method
Description
`void`
`setStaticLibraryFile(File staticLibraryFile)`
The static library binary file.

### Methods inherited from interface Binary

`getDisplayName`

### Methods inherited from interface NativeBinary

`getBuildType, getFlavor, getTargetPlatform`

### Methods inherited from interface NativeLibraryBinary

`getHeaderDirs, getLinkFiles, getRuntimeFiles`

### Methods inherited from interface StaticLibraryBinary

`getStaticLibraryFile`

## Method Details

### setStaticLibraryFile

void setStaticLibraryFile(File staticLibraryFile)
The static library binary file.